Bug 30426 - lightdm/wallpaper has no effect
lightdm/wallpaper has no effect
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-13 17:00 CET by Felix Botner
Modified: 2014-06-12 09:19 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2013-02-13 17:00:29 CET
UCR lightdm/wallpaper sets greeter background in /etc/lightdm/lightdm-gtk-greeter.conf, but we are using the unity-greeter meanwhile.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-02-14 08:31:35 CET
That is a remnant of the GTK-Greeter, which was used briefly. We can simply remove it in the next release. It's not mentioned in the UCC manual.
Comment 2 Moritz Muehlenhoff univentionstaff 2013-08-26 09:58:51 CEST
(In reply to Moritz Muehlenhoff from comment #1)
> That is a remnant of the GTK-Greeter, which was used briefly. We can simply
> remove it in the next release. It's not mentioned in the UCC manual.

A configurable background is needed by a customer (Ticket#: 2013050321002723), so we add support for lightdm/wallpaper into our Unity greeter.
Comment 3 Moritz Muehlenhoff univentionstaff 2014-05-09 09:33:07 CEST
As discussed some time ago; if the background image cannot easily be configured through a configuration file option, but only through byte-compiled XML settings we should't add such an option. Anyone wanting to customise the login screen can then divert the existing PNG file.
Comment 4 Ingo Steuwer univentionstaff 2014-05-09 10:09:58 CEST
(In reply to Moritz Muehlenhoff from comment #3)
> As discussed some time ago; if the background image cannot easily be
> configured through a configuration file option, but only through
> byte-compiled XML settings we should't add such an option. Anyone wanting to
> customise the login screen can then divert the existing PNG file.

We might also implement a mechanism (i.e. a script running during lightdm startup) that links/copyies the file defined in "lightdm/wallpaper" to the place where the hardcoded XML expects it? Default/fallback would be our PNG.
Comment 5 Erik Damrose univentionstaff 2014-05-21 15:25:21 CEST
Changing the filename does indeed require to re-compile the xml-settings.

The basic question to ask is: How will a different background image be placed into the ucc-image file? The base image has to be modified anyway. In this case, i think creating a new theme package which includes the new background image and diverts our default image is the easiest and most persistent way.

As discussed, the UCR variable is removed, alongside the deprecated ucr template etc/lightdm/lightdm-gtk-greeter.conf

r50512 univention-lightdm 2.0.0-9
r50513 Changelog
Comment 6 Moritz Muehlenhoff univentionstaff 2014-05-22 15:36:59 CEST
Ok, the variable has been removed from the templates. With the current structure of the Unity Greeter we don't have proper means to customization other than replacing the file with dpkg-divert (this is also what we do for implementing the UCC theme in the KDE background). Adding the file in a login script is also rather brittle, since it needs to be done during each login on a thin client with overlayfs. 

If we switch to a different greeter in the future we can re-evaluate (the future move to KDE5 will likely result in a new login manager based on QML)
Comment 7 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:44 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".